REM  @ECHO OFF

REM  Set the local data for this PC

set statsdir=E:\EUMETCast
set node=Alta
set port=2517
set desc=using Ayecka SR 1 #1 on DVB-S2 service

REM  Sets the environment variables YY etc. to the UTC date/time

for /f "tokens=1-5 delims=/:. " %%i in ('GetUtcDateTimeString') do (
  set Year=%%i
  set Month=%%j
  set Day=%%k
  set Hour=%%l
  set Minute=%%m
)

IF %Hour% == 00 (
  IF %Minute% == 29 (
    CALL :NewDay
  )
)

CALL :AddData

IF %Hour% == 23 (
  IF %Minute% == 59 (
    CALL :MidnightReset
  )
)

GOTO :EOF


:AddData
  SET LINE=%Year%-%Month%-%Day%	%Hour%:%Minute%
  FOR /F %%I IN ('TelliCastStats %node% -ALL') DO CALL :MakeLine %%I
  ECHO %LINE% >> "%statsdir%\TCstats_%node%_%Year%-%Month%-%Day%.txt"
GOTO :EOF

:MidnightReset
REM   cscript TCstatReset.vbs %node% %port% > NUL
  C:\Tools\wget\bin\wget http://%node%:%port%/www/tsl/receiver/reset_tc_statistics.cgi -O nul
  C:\Tools\wget\bin\wget http://%node%:%port%/www/tsl/receiver/reset_tc_statistics.cgi -O nul
  C:\Tools\wget\bin\wget http://%node%:%port%/www/tsl/receiver/reset_tc_statistics.cgi -O nul
GOTO :EOF

:NewDay
  ECHO TelliCast statistics for %node% %desc% >> "%statsdir%\TCstats_%node%_%Year%-%Month%-%Day%.txt"
  ECHO YYYY-MM-DD	hh:mm 	Recov.	Missed	Bytes		Packets >> "%statsdir%\TCstats_%node%_%Year%-%Month%-%Day%.txt"
  ECHO 		 UTC	Packets	Packets	Received	Received >> "%statsdir%\TCstats_%node%_%Year%-%Month%-%Day%.txt"
GOTO :EOF

:MakeLine
  SET LINE=%LINE%	%1
GOTO :EOF
